summaryrefslogtreecommitdiff
path: root/qa/238
diff options
context:
space:
mode:
authorIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
committerIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
commit47e6e7c84f008a53061e661f31ae96629bc694ef (patch)
tree648a07f3b5b9d67ce19b0fd72e8caa1175c98f1a /qa/238
downloadpcp-47e6e7c84f008a53061e661f31ae96629bc694ef.tar.gz
Debian 3.9.10debian/3.9.10debian
Diffstat (limited to 'qa/238')
-rwxr-xr-xqa/23861
1 files changed, 61 insertions, 0 deletions
diff --git a/qa/238 b/qa/238
new file mode 100755
index 0000000..015fa5b
--- /dev/null
+++ b/qa/238
@@ -0,0 +1,61 @@
+#! /bin/sh
+# PCP QA Test No. 238
+# pmnsmerge with group at deep level of PMNS and intervening
+# levels missing
+#
+# Copyright (c) 1995-2002 Silicon Graphics, Inc. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard filters
+. ./common.product
+. ./common.filter
+. ./common.check
+
+rm -f $seq.out
+if [ $PCP_VER -lt 3600 ]
+then
+ ln $seq.out.1 $seq.out || exit 1
+else
+ ln $seq.out.2 $seq.out || exit 1
+fi
+
+status=0
+trap "cd $here; rm -rf $tmp.*; exit \$status" 0 1 2 3 15
+
+# real QA test starts here
+mkdir $tmp.dir
+cd $tmp.dir
+
+echo >r1 '/*
+ * Test PMNS #1
+ */
+
+root {
+}'
+
+echo >r2 '/*
+ * Test PMNS #2
+ */
+
+#define _DATESTAMP 961108
+
+root {
+ foo
+}
+foo {
+ bar
+}
+foo.bar {
+ mumble
+}
+foo.bar.mumble {
+ fumble 1:2:3
+}'
+
+rm -f out-pmns
+pmnsmerge r1 r2 out-pmns
+cat out-pmns
+pminfo -n out-pmns